SDL-0.6.7.0: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Audio

Description

# Documentation

data AudioFormat Source #

Constructors

AudioU8 |
AudioS8 |
AudioU16LSB |
AudioS16LSB |
AudioU16MSB |
AudioS16MSB |
AudioU16Sys |
AudioS16Sys |

Instances

Enum AudioFormat Source # |

Instance details

Defined in Graphics.UI.SDL.Audio

Methods

succ :: AudioFormat -> AudioFormat Source #

pred :: AudioFormat -> AudioFormat Source #

toEnum :: Int -> AudioFormat Source #

fromEnum :: AudioFormat -> Int Source #

enumFrom :: AudioFormat -> [AudioFormat] Source #

enumFromThen :: AudioFormat -> AudioFormat -> [AudioFormat] Source #

enumFromTo :: AudioFormat -> AudioFormat -> [AudioFormat] Source #

enumFromThenTo :: AudioFormat -> AudioFormat -> AudioFormat -> [AudioFormat] Source #

Eq AudioFormat Source # |
Instance details Defined in Graphics.UI.SDL.Audio Methods (==) :: AudioFormat -> AudioFormat -> Bool Source # (/=) :: AudioFormat -> AudioFormat -> Bool Source #
Ord AudioFormat Source # |

Instance details

Defined in Graphics.UI.SDL.Audio

Methods

compare :: AudioFormat -> AudioFormat -> Ordering Source #

(<) :: AudioFormat -> AudioFormat -> Bool Source #

(<=) :: AudioFormat -> AudioFormat -> Bool Source #

(>) :: AudioFormat -> AudioFormat -> Bool Source #

(>=) :: AudioFormat -> AudioFormat -> Bool Source #

max :: AudioFormat -> AudioFormat -> AudioFormat Source #

min :: AudioFormat -> AudioFormat -> AudioFormat Source #

Show AudioFormat Source # |
Instance details Defined in Graphics.UI.SDL.Audio Methods showsPrec :: Int -> AudioFormat -> ShowS Source # show :: AudioFormat -> String Source # showList :: [AudioFormat] -> ShowS Source #

fromAudioFormat :: AudioFormat -> Word16 Source #

toAudioFormat :: Word16 -> AudioFormat Source #